org.apache.myfaces.trinidad.webapp

## Class TrinidadConverterELTag

- java.lang.Object
- - org.apache.myfaces.trinidad.webapp.TrinidadTagSupport
  - - org.apache.myfaces.trinidad.webapp.TrinidadConverterELTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public abstract class TrinidadConverterELTag
      extends TrinidadTagSupport

  This is the Trinidad version of the JSF `ConverterELTag` class. The main difference is that this class is NOT inheriting from the standard `TagSupport` and therefore does not implement `Serializable` interface.
  Author:
    Apache MyFaces team

- - ### Field Summary

    - ### Fields inherited from class org.apache.myfaces.trinidad.webapp.TrinidadTagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrinidadConverterELTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract javax.faces.convert.Converter` | `createConverter()`
    `int` | `doStartTag()` Default processing of the start tag, returning SKIP_BODY.

    - ### Methods inherited from class org.apache.myfaces.trinidad.webapp.TrinidadTagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrinidadConverterELTag

          public TrinidadConverterELTag()

  - ### Method Detail

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Description copied from class: `TrinidadTagSupport`
      Default processing of the start tag, returning SKIP_BODY.
      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `TrinidadTagSupport`
      Returns:
        SKIP_BODY
      Throws:
        `javax.servlet.jsp.JspException` - if an error occurs while processing this tag
      See Also:
        `Tag.doStartTag()`

    - #### createConverter

          protected abstract javax.faces.convert.Converter createConverter()
                                                                    throws javax.servlet.jsp.JspException

      Throws:
        `javax.servlet.jsp.JspException`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.